[PATCH] Disable libsanitizer before darwin10

Dmitry Vyukov dvyukov@google.com
Tue Feb 12 06:17:00 GMT 2013


On Tue, Feb 12, 2013 at 3:16 AM, Mike Stump <mikestump@comcast.net> wrote:
> On Feb 11, 2013, at 7:55 AM, Jack Howarth <howarth@bromo.med.uc.edu> wrote:
>>  Iain Sandoe discovered that on intel darwin9, the asan testsuite suffers hundreds of
>> failures due to the absence of dispatch calls (Grand Central Dispatch) prior to darwin10.
>> The attached patch disables building libsanitizer on darwin8 and darwin9 until upstream
>> decides to support the earlier darwin releases. Bootstrap and regression tested on
>> x86_64-apple-darwin12. Okay for gcc trunk?
>
> Ok.
>
> Committed revision 195958.
>
> If the patch needs to go upstream, could the asan people push it up?  Thanks.
>
>
> I like fixing asan so that it works on darwin9.  If/when that is done, we can remove this patch; until such time, the patch is necessary.

LLVM uses different build system, so this patch can't be applied
directly. But future integrations won't break gcc.
Alexander, do we want to apply something similar upstream?



More information about the Gcc-patches mailing list